POST api/BotManagement/updateTestRunStatus

Request Information

URI Parameters

None.

Body Parameters

TestRunStatus
NameDescriptionTypeAdditional information
TestRunId

integer

None.

statusId

integer

None.

activityCoverageRatio

decimal number

None.

actionCompletionPercentage

decimal number

None.

deviceLogURI

string

None.

qbotLogURI

string

None.

appiumLogURI

string

None.

Request Formats

application/json, text/json

Sample:
{
  "TestRunId": 1,
  "statusId": 2,
  "activityCoverageRatio": 3.1,
  "actionCompletionPercentage": 4.1,
  "deviceLogURI": "sample string 5",
  "qbotLogURI": "sample string 6",
  "appiumLogURI": "sample string 7"
}

application/xml, text/xml

Sample:
<BotManager.TestRunStatus xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SofyWebApi.Classes">
  <TestRunId>1</TestRunId>
  <actionCompletionPercentage>4.1</actionCompletionPercentage>
  <activityCoverageRatio>3.1</activityCoverageRatio>
  <appiumLogURI>sample string 7</appiumLogURI>
  <deviceLogURI>sample string 5</deviceLogURI>
  <qbotLogURI>sample string 6</qbotLogURI>
  <statusId>2</statusId>
</BotManager.TestRunStatus>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.